var mongoose = require("mongoose");
//var validator = require("validator");
var Schema = mongoose.Schema;
var plugins = require("./plugins");

var proofSchema = mongoose.Schema({
	height: {
		type: Number,
		require: true
	},
	width: {
		type: Number,
		require: true
	},
	quantity: {
		type: Number,
		require: true
	}
});

var dealSchema = new Schema({
	charge: {},
	shipping: {},
	proofs: [proofSchema],
	quotation: {},
	user: {
		type: Schema.Types.ObjectId,
		ref: "User"
	}
});

dealSchema.plugin(plugins.createdOn);
dealSchema.plugin(plugins.modifiedOn);

module.exports = mongoose.model("Deal", dealSchema);
