var mongoose = require("mongoose");
var validator = require("validator");
var Schema = mongoose.Schema;

var proofSchema = new Schema({
	height: {
		type: Number,
		require: true,
		validate: [
			validator.isInt(),
			"La longueur doit être en millimètres"
		]
	},
	width: {
		type: Number,
		require: true,
		validate: [
			validator.isInt(),
			"La largeur doit être en millimètres"
		]
	},
	certification: {
		type: String,
		default: "fogra"
	}
});

module.exports = mongoose.model("Proof", proofSchema);
